Subject: FVWM: IconBox and autohide delay

From: roland Mathieu <[email-masked]>
Date: Sat, 16 Aug 2003 11:35:12 +0200

Hello,

I try to setup an IconBox on top of the screen with autohide feature using
module FvwmAuto. It works fine, but is it possible to wait and possibly
do nothing if the mouse don't stay enough on top of screen, rather than
immediatly raise IconBox ? 
(something like EdgeResistance but with FvwmAuto?) 

$ fvwm2 -V
fvwm 2.5.7 compiled on Aug  4 2003 at 19:38:39
with support for: ReadLine, XPM, PNG, Shape, XShm, SM, Xinerama, XRender,
XFT

Below a complete .fvwm2rc file corresponding to what I want to do.

thanks in advance,
Roland.

ImagePath /usr/X11R6/share/fvwm2/pixmaps
Style "*" Icon xterm.xpm

Style "*" NoIcon

DestroyModuleConfig FvwmIconBox: *
*FvwmIconBox: Geometry 6x1+100+0

*FvwmIconBox: Mouse   1       Click          Iconify
*FvwmIconBox: MaxIconSize 96x48

Style "FvwmIconBox*" NoTitle, !Borders, Sticky, WindowListSkip, \
                     StaysOnTop, NoHandles, CirculateSkipIcon,
                     CirculateSkip

AddToFunc enter_handler
+ I autohide $0 FvwmIconBox 500 N

AddToFunc autohide
+ I WindowId $0 ($1) Deschedule $0
+ I WindowId $0 ($1) ThisWindow (shaded) WindowShade off
+ I CondCase (!Match) All (!shaded, $1) autohide_hide $$$$$$$w $2 $3

AddToFunc autohide_hide
+ I Deschedule $0
+ I Schedule $1 $0 WindowShade $2

AddToFunc StartFunction
+ I Module FvwmAuto FvwmAutohide -passid -menter enter_handler
+ I Module FvwmIconBox FvwmIconBox

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].